
#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <err.h>
#include <string.h>
#include "rrrdupdate.h"

#define MAXARGV 1000

int
main(int argc, char **argv)
{
	int error, i, ac;
	char *cp, cbuf[BUFSIZ];
	char **ap, *av[MAXARGV], *temp;

	if (argc != 2)
		errx(1, "Usage: %s [host:]port", argv[0]);

	error = rrrdupdate(argv[1], 0, 0, 0, 0);
	if (error < 0)
		err(1, "rrrdupdate() set address");

	for(;;) {
		cp = fgets(cbuf, sizeof (cbuf), stdin);
		if (cp == NULL)
			break;
		ac = 0;
		for (ap = av; (*ap = strsep(&cp, " \t\n")) != NULL;)
			if (**ap != '\0') {
				ac++;
				if (++ap >= &av[10])
					break;
			}

		if (ac < 3)
			continue;
		if (strcmp(av[0], "update"))
			continue;
		if (!strcmp(av[2], "--template") || !strcmp(av[2], "-t")) {
			temp = av[3];
			i = 4;
		} else {
			temp = NULL;
			i = 2;
		}
		for (; i < ac; i++) {
			error = rrrdupdate(NULL, av[1], temp, av[i]);
			if (error < 0)
				err(1, "rrrdupdate() send datapoint (%d)", error);
		}
	}
	return (0);
}
